#ifndef FINDFILE_H
#define FINDFILE_H

#include <QFileDialog>
#include <QDir>
#include <QtGui/QDialog>
#include <QProgressDialog>
#include <QTextStream>
#include <QDesktopServices>
#include <QUrl>
#include <QComboBox>

namespace Ui
{
    class FindFile;
}

class FindFile : public QDialog
{
    Q_OBJECT

public:
    FindFile(QWidget *parent = 0);
    ~FindFile();

protected:
    QStringList findFiles(const QStringList &files, const QString &text);
    void showFiles(const QStringList &files);
    void xupdateComboBox(QComboBox *a_comboBox);
    QDir currentDir;

private:
    Ui::FindFile *ui;

private slots:
    void on_filesTable_cellActivated(int row, int column);
    void on_findButton_clicked();
    void on_browseButton_clicked();
};

#endif // FINDFILE_H
